Getting started problem -- Ruby and SciTE

I've just installed the MS Windows Ruby installation, and the syntax
highlighting in the version of SciTE that ships with it doesn't work
properly with the examples in The Pragmatic Programmer's Guide (it doesn't
recognise that the regexp has ended in the WordIndex class in the "Standard
Types" chapter. I've downloaded a more recent version of SciTE, which
recognises the syntax but I can't get Tools | Go to find the Ruby compiler
(the earlier version works fine).

If the syntax highlight is broken, please report a ticket in the
tracker:

http://rubyforge.org/tracker/?group_id=167

Can anyone give me any clues on getting a nice, working, syntax-highlit IDE
for Ruby?

Komodo, Komodo Edit, NetBeans, Aptana, you name it :stuck_out_tongue:

ยทยทยท

On Dec 10, 7:12 pm, "Tim Rowe" <n...@digitig.co.uk> wrote: